Package com.emc.documentum.rest.model

# Enum Class BasicPermission

java.lang.Object
java.lang.Enum<BasicPermission>
com.emc.documentum.rest.model.BasicPermission

All Implemented Interfaces:
  `Serializable`, `Comparable<BasicPermission>`, `Constable`

public enum BasicPermission extends Enum<BasicPermission>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Browse`
  The user can view object attributes but not content.
  `Delete`
  The user can delete the object.
  `None`
  The user has no access to the object.
  `Null`
  `Read`
  The user can view object attributes and content.
  `Relate`
  The user can read and create a relationship to the object (such as attaching an annotation).
  `Version`
  The user can read and version the object.
  `Write`
  The user can update object attributes and content.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBasic()`
  `static String`
  `getBasicStr(int basic)`
  `static BasicPermission`
  `getPermission(int basic)`
  `static BasicPermission`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BasicPermission[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Null

    public static final BasicPermission Null

  - ### None

    public static final BasicPermission None
    The user has no access to the object.

  - ### Browse

    public static final BasicPermission Browse
    The user can view object attributes but not content.

  - ### Read

    public static final BasicPermission Read
    The user can view object attributes and content.

  - ### Relate

    public static final BasicPermission Relate
    The user can read and create a relationship to the object (such as attaching an annotation).

  - ### Version

    public static final BasicPermission Version
    The user can read and version the object.

  - ### Write

    public static final BasicPermission Write
    The user can update object attributes and content.

  - ### Delete

    public static final BasicPermission Delete
    The user can delete the object.

- ## Method Details

  - ### values

    public static BasicPermission[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BasicPermission valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getBasic

    public int getBasic()

  - ### getBasicStr

    public static String getBasicStr(int basic)

  - ### getPermission

    public static BasicPermission getPermission(int basic)